POST
Verify Webhook Notification
Verify that a webhook notification comes from BitGo based on webhook signature and payload. If the X-Signature-SHA256 header is absent from the notification, use the Create webhook secret endpoint to generate a secret for your enterprise or organization. The requester must be an admin of the specified enterprise or organization.
Path Params
-
webhookIdstring requiredWebhook public id
Body Params
object
-
signaturestring requiredWebhook notification signature calculated based on the payload and webhook secret. Found in the HTTP header X-Signature-SHA256 of the notification. -
notificationPayloadstring requiredWebhook notification payload as JSON string
Responses
200
OK
Response Body
object
-
webhookIdstring required -
isValidboolean required
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id